Subject: 23.0.60; "Recover Crashed Session" fails "No files can be recovered"

From: Yary Hluchan <[email-masked]>
Date: Thu, 04 Sep 2008 09:28:52 -0700

I'm running Emacs 23 on a laptop, and the laptop sometimes loses power.
That's not the problem.

When I boot and restart Emacs, I go to the File menu > "Recover Crashed
Session", it brings up a window like so:

 Move to the session you want to recover,
 then type C-c C-c to select it.

 You can also delete some of these files;
 type d on a line to mark that file for deletion.

  c:/Documents and Settings/Stephen Edwards/Application Data/.emacs.d/auto-save-list:
  wildcard .saves-*
  total used in directory 5 available 21636216
  -rw-rw-rw-  1 Yary None  778 09-02 16:13 .saves-360-POPNOTE~
  -rw-rw-rw-  1 Yary None  382 08-15 09:21 .saves-1648-POPNOTE~
  -rw-rw-rw-  1 Yary None  138 08-10 15:06 .saves-2560-POPNOTE~
...

I put the cursor on the first line (".saves-360-POPNOTE~") and hit
C-c C-C, and get this error in *Messages*:

No files can be recovered from this session now

That error happens for any of the .saves files

The contents of .saves-360-POPNOTE~:
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/process_files_new.php
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#process_files_new.php#
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/local_file.php
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#local_file.php#
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/filepath.php
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#filepath.php#

The files exist, the temp files do not exist- in this case, I had
saved all my work.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-09-03 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include -fno-crossjumping'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Dired by date

Minor modes in effect:
  recentf-mode: t
  partial-completion-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <file> <recover-session> <down> 
<down> <up> <up> <return> C-x 2 C-x k <return> <help-echo> 
<help-echo> <down-mouse-1> <mouse-2> <left> C-x o <left> 
<left> <left> <left> <left> <left> C-c C-c <escape> 
x r e p o <tab> r t - e m <tab> <return>

Recent messages:

File error: Cannot open load file, menuacc

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the `--debug-init' option to view a complete error backtrace.

For information about GNU Emacs and the GNU system, type C-h C-a.
call-interactively: Beginning of buffer
No files can be recovered from this session now